FunnelFlux Pro API DocumentsFunnelFlux Pro API Documents
  • Changelog
  • Status
  • Dashboard
  • Documentation
  • Authentication
  • Domains
  • Assets
  • Reporting
Information
Reporting
    List available attributesgetCreate a drilldown reportpostCreate a raw event reportpost
Updates
    Submit a conversion updateputSubmit a custom event updateputSubmit a cost updateputValidate a data resetpostPerform a data resetdelete
Logs
    Get postback logpostGet webhook asset summarypostGet middleware asset summarypostGet postback logpost
Explorer
    Look up a visitorpostLook up a single hitpost
Schemas
FunnelFlux Reporting API
FunnelFlux Reporting API

Updates

Download schema

Conversion, cost, and reset update endpoints


Submit a conversion update

PUT
https://api.funnelflux.pro/v1
/reporting/update/conversions/

Add new or update existing conversions

Submit a conversion update › Request Body

ConversionsUpdateParams
​ConvertedHit[] · required
postbackCalls
​string · enum

Call the traffic source postbacks of the sources that generated theses conversions. If set to 'none', then the postbacks are not called for any of the specified hits. If set to 'onlyOnce', then the postbacks are only called for the hits that never called them before. If set to 'all', the postbacks are called for all the specified hits, even if they were already called in the past for some/all hits.

Enum values:
none
onlyOnce
all
Default: none
overridePayout
​NullableDecimal
Default: null
disablePostbacks
​boolean
Default: false
forcePostbacks
​boolean
Default: false

Submit a conversion update › Responses

Update queued for processing

No data returned
PUT/reporting/update/conversions/
curl --request PUT \ --url https://api.funnelflux.pro/v1/reporting/update/conversions \ --header 'Content-Type: application/json' \ --data '{}'
Example Request Body
{}
json
Example Responses
No example specified for this content type

Submit a custom event update

PUT
https://api.funnelflux.pro/v1
/reporting/update/customevents/

Add custom events 1-10 from explicit hit IDs. The full batch is rejected on validation errors; invalid rows are not skipped.

Submit a custom event update › Request Body

CustomEventsUpdateParams
​CustomEventUploadHit[] · minItems: 1 · maxItems: 10 · required
postbackCalls
​string · enum

If set to 'none', postbacks are disabled for the uploaded custom events. Other values do not force postbacks for custom events.

Enum values:
none
onlyOnce
all
disablePostbacks
​boolean
Default: false

Submit a custom event update › Responses

Update queued for processing

No data returned
PUT/reporting/update/customevents/
curl --request PUT \ --url https://api.funnelflux.pro/v1/reporting/update/customevents \ --header 'Content-Type: application/json' \ --data '{}'
Example Request Body
{}
json
Example Responses
No example specified for this content type

Submit a cost update

PUT
https://api.funnelflux.pro/v1
/reporting/update/cost/

Update the cost of specific traffic segments

Submit a cost update › Request Body

CostUpdateParams
funnelIDs
​string[] · required
Default: []
trafficSourceIDs
​string[] · required
Default: []
timeStart
​string · date-time · required
timeEnd
​string · date-time · required
​CostSegment[] · required

Submit a cost update › Responses

Update queued for processing

No data returned
PUT/reporting/update/cost/
curl --request PUT \ --url https://api.funnelflux.pro/v1/reporting/update/cost \ --header 'Content-Type: application/json' \ --data '{}'
Example Request Body
{}
json
Example Responses
No example specified for this content type

Validate a data reset

POST
https://api.funnelflux.pro/v1
/reporting/update/reset/

Get the number of hits that would be deleted with the specified settings

Validate a data reset › Request Body

ResetUpdateParams
timeStart
​string · date-time · required
timeEnd
​string · date-time · required
restrictToCampaignIDs
​string[]
Default: []
restrictToFunnelIDs
​string[]
Default: []
restrictToTrafficSourceIDs
​string[]
Default: []
restrictToCountryCodes
​string[]
Default: []
restrictToVisitorIDs
​string[]
Default: []
restrictToIPs
​string[]
Default: []
​object

Validate a data reset › Responses

The number of would-be impacted hits

IntegerValue
value
​integer · int64 · required
POST/reporting/update/reset/
curl --request POST \ --url https://api.funnelflux.pro/v1/reporting/update/reset \ --header 'Content-Type: application/json' \ --data '{}'
Example Request Body
{}
json
Example Responses
{ "value": 0 }
json
application/json

Perform a data reset

DELETE
https://api.funnelflux.pro/v1
/reporting/update/reset/

Reset stats of specific traffic segments

Perform a data reset › Request Body

ResetUpdateParams
timeStart
​string · date-time · required
timeEnd
​string · date-time · required
restrictToCampaignIDs
​string[]
Default: []
restrictToFunnelIDs
​string[]
Default: []
restrictToTrafficSourceIDs
​string[]
Default: []
restrictToCountryCodes
​string[]
Default: []
restrictToVisitorIDs
​string[]
Default: []
restrictToIPs
​string[]
Default: []
​object

Perform a data reset › Responses

Reset queued for processing

No data returned
DELETE/reporting/update/reset/
curl --request DELETE \ --url https://api.funnelflux.pro/v1/reporting/update/reset \ --header 'Content-Type: application/json' \ --data '{}'
Example Request Body
{}
json
Example Responses
No example specified for this content type

ReportingLogs